Create Source Antibody
curl --request POST \
--url https://api.example.com/source-antibodies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"species_origin": "<string>",
"vh_sequence": "<string>",
"molecule_type": "mab",
"vl_sequence": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/source-antibodies"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"species_origin": "<string>",
"vh_sequence": "<string>",
"molecule_type": "mab",
"vl_sequence": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
species_origin: '<string>',
vh_sequence: '<string>',
molecule_type: 'mab',
vl_sequence: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/source-antibodies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"species_origin": "<string>",
"molecule_type": "<string>",
"vh_sequence": "<string>",
"vl_sequence": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}source-antibodies
Create Source Antibody
Register a new parental source antibody under a project.
POST
/
source-antibodies
Create Source Antibody
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
A source antibody as returned by the API.
⌘I